Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_RC5_CBC_PARAMS

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_RC5_CBC_PARAMS

public class CK_RC5_CBC_PARAMS
extends Object

class CK_RC5_CBC_PARAMS is a structure that provides the parameters to the CKM_RC5_CBC and CKM_RC5_CBC_PAD mechanisms.

PKCS#11 structure:

      typedef struct CK_RC5_CBC_PARAMS {
        CK_ULONG ulWordsize;
        CK_ULONG ulRounds;
        CK_BYTE_PTR pIv;
        CK_ULONG ulIvLen;
      } CK_RC5_CBC_PARAMS;

Field Summary
`byte[]` | `pIv` PKCS#11: CK_BYTE_PTR pIv; CK_ULONG ulIvLen;
`long` | `ulRounds` PKCS#11: CK_ULONG ulRounds;
`long` | `ulWordsize` PKCS#11: CK_ULONG ulWordsize;

Constructor Summary
`CK_RC5_CBC_PARAMS()`

Method Summary
`String` | `toString()` Returns the string representation of CK_RC5_CBC_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ulWordsize

    public long ulWordsize

  PKCS#11:

         CK_ULONG ulWordsize;

### ulRounds

    public long ulRounds

  PKCS#11:

         CK_ULONG ulRounds;

### pIv

    public byte[] pIv

  PKCS#11:

         CK_BYTE_PTR pIv;
         CK_ULONG ulIvLen;

Constructor Detail

### CK_RC5_CBC_PARAMS

    public CK_RC5_CBC_PARAMS()

Method Detail

### toString

    public String toString()

  Returns the string representation of CK_RC5_CBC_PARAMS.

  Returns:
    the string representation of CK_RC5_CBC_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.